# ``twisted`.`python`.`_release`.`BuildAPIDocsScript``

class documentation

`class BuildAPIDocsScript: (source)`

View In Hierarchy

A thing for building API documentation. See `main`.

Method | `buildAPIDocs` | Build the API documentation of Twisted, with our project policy.
Method | `main` | Build API documentation.

def buildAPIDocs(self, projectRoot, output): (source)
Build the API documentation of Twisted, with our project policy.

Parameters
projectRoot | A `FilePath` representing the root of the Twisted checkout.
output | A `FilePath` pointing to the desired output directory.

def main(self, args): (source)
Build API documentation.

Parameters
args:list of str | The command line arguments to process. This must contain two strings: the path to the root of the Twisted checkout, and a path to an output directory.